language: c
compiler:
  - gcc
  - clang
env:
  - BINDINGS=none
matrix:
  include:
    - compiler: gcc
      language: python
      python: 2.7
      env: BINDINGS=python
    - compiler: clang
      language: python
      python: 2.7
      env: BINDINGS=python CC=clang
    - compiler: gcc
      language: perl
      perl: 5.18
      env: BINDINGS=perl
    - compiler: clang
      language: perl
      perl: 5.18
      env: BINDINGS=perl CC=clang
before_install:
  - sudo add-apt-repository ppa:asolovets/backports -y
  - sudo apt-get update -qq
  - if [ "$BINDINGS" != "none" ]; then sudo apt-get install swig2.0; swig -version; fi
  - if [ "$BINDINGS" == "python" ]; then sudo apt-get install -qq python-dev; fi

install: true
script: 
  - scons bindings=$BINDINGS test
notifications:
  irc: 
    channels: 
      - "irc.upstandinghackers.com#hammer"
    use_notice: true
    skip_join: true
        
